Halide 22.0.0 Halide compiler and libraries

Public Member Functions | Public Attributes | List of all members
Halide::Internal::LoweredFunc Struct Reference

Definition of a lowered function. More...

`#include <Module.h>`

## Public Member Functions
| LoweredFunc (const std::string &name, const std::vector< LoweredArgument > &args, Stmt body, LinkageType linkage, NameMangling mangling=NameMangling::Default)
| LoweredFunc (const std::string &name, const std::vector< Argument > &args, Stmt body, LinkageType linkage, NameMangling mangling=NameMangling::Default)

## Public Attributes
std::string | name
std::vector< LoweredArgument > | args
| Arguments referred to in the body of this function. More...
Stmt | body
| Body of this function. More...
LinkageType | linkage
| The linkage of this function. More...
NameMangling | name_mangling
| The name-mangling choice for the function. More...

## Detailed Description

Definition of a lowered function.

This object provides a concrete mapping between parameters used in the function body and their declarations in the argument list.

Definition at line 101 of file Module.h.

## Constructor & Destructor Documentation

## ◆ LoweredFunc() [1/2]

Halide::Internal::LoweredFunc::LoweredFunc | ( | const std::string & | name,
|  | const std::vector< LoweredArgument > & | args,
|  | Stmt | body,
|  | LinkageType | linkage,
|  | NameMangling | mangling = `NameMangling::Default`
| ) |  |

## ◆ LoweredFunc() [2/2]

Halide::Internal::LoweredFunc::LoweredFunc | ( | const std::string & | name,
|  | const std::vector< Argument > & | args,
|  | Stmt | body,
|  | LinkageType | linkage,
|  | NameMangling | mangling = `NameMangling::Default`
| ) |  |

## Member Data Documentation

## ◆ name

std::string Halide::Internal::LoweredFunc::name

Definition at line 102 of file Module.h.

## ◆ args

std::vector<LoweredArgument> Halide::Internal::LoweredFunc::args

Arguments referred to in the body of this function.

Definition at line 105 of file Module.h.

## ◆ body

Stmt Halide::Internal::LoweredFunc::body

Body of this function.

Definition at line 108 of file Module.h.

## ◆ linkage

LinkageType Halide::Internal::LoweredFunc::linkage

The linkage of this function.

Definition at line 111 of file Module.h.

## ◆ name_mangling

NameMangling Halide::Internal::LoweredFunc::name_mangling

The name-mangling choice for the function.

Defaults to using the Target.

Definition at line 115 of file Module.h.

The documentation for this struct was generated from the following file:

- src/Module.h